<div id="title">
  <img src="http://ddragon.leagueoflegends.com/cdn/10.23.1/img/profileicon/{{summoner.profileIconId}}.png" />
  <h1>
    <span *ngIf="isConnected" (click)="changefavorite()">
      <fa-icon id="favoriteIcon" [icon]="favoriteIcon"></fa-icon>
    </span>
    {{summoner.name}} (level : {{summoner.summonerLevel}})
  </h1>
</div>

<div id="masteries">
  <h2>Masteries</h2>
  <div id="masteries-list">
    <div *ngFor="let mastery of summonerMasteryList" class="champion-div" [routerLink]="'/champion/' + mastery.champion.name">
      <img class="champion-img" [src]="mastery.champion.imageSquare">
      <p class="champion-p">
        {{mastery.champion.name}} <br>
        rang : {{mastery.championLevel}} <br>
        points : {{mastery.championPoints}}
      </p>
    </div>
  </div>
</div>


<div id="history">
  <h2>Match History</h2>
  <div id="match-list" *ngIf="summoner.accountId">
    <app-summoner-match [accountId]="summoner.accountId"></app-summoner-match>
  </div>
</div>
